import { InjectionToken } from '@angular/core';
import { TwilioVideoService } from './twilio-video.service';
export declare class TwilioVideoModule {
    constructor(parentModule: TwilioVideoModule);
    static forRoot(): {
        ngModule: typeof TwilioVideoModule;
        providers: {
            provide: InjectionToken<(() => void)[]>;
            deps: (typeof TwilioVideoService)[];
            useFactory: (twilioVideoService: TwilioVideoService) => () => TwilioVideoService;
            multi: boolean;
        }[];
    };
}
export declare function Factory(twilioVideoService: TwilioVideoService): () => TwilioVideoService;
